package fr.lri.keller.democ3;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;

import java.util.Random;

public class FirstActivity extends AppCompatActivity {

    public final static String EXTRA_RANDOM = "RANDOM";
    public final static int REQUEST_RANDOM = 1;

    private TextView textDonnee;
    private TextView textRes;

    private Random generator = new Random(42);

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_first);
        textDonnee = (TextView) findViewById(R.id.textDonnee);
        textRes = (TextView) findViewById(R.id.textRes);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_first, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    public void clique(View bouton) {
        Intent intent = new Intent(this, SecondActivity.class);
        textDonnee.setText(getResources().getString(R.string.defaultDonnee));
        textRes.setText(getResources().getString(R.string.defaultRes));
        switch (bouton.getId()) {
            case R.id.bouton1:
                startActivity(intent);
                break;
            case R.id.bouton2:
                int random = generator.nextInt(100);
                textDonnee.setText(random + "");
                intent.putExtra(EXTRA_RANDOM, random);
                startActivity(intent);
                break;
            case R.id.bouton3:
                startActivityForResult(intent, REQUEST_RANDOM);
                break;
            default:
                break;
        }
    }

    @Override
    protected void onActivityResult(int key, int result, Intent intent2) {
        if (key == REQUEST_RANDOM && result == RESULT_OK) {
            int random = intent2.getIntExtra(EXTRA_RANDOM, -1);
            textRes.setText(random + "");
        }
    }
}